Subject: bug#35504: 26.2; Key `g' should run `package-menu-refresh' in the *Packages* buffer

From: Rudi Schlatte <[email-masked]>
Date: Tue, 30 Apr 2019 18:00:27 +0200

> On 30 Apr 2019, at 17:47, Basil L. Contovounesios <[email-masked]> wrote:
> 
> Rudi Schlatte <[email-masked]> writes:
> 
>> The ‘g’ key seems to be the standard way to refresh a list of things.
>> For example, ‘g’ runs ‘gnus-group-get-new-news’ in the gnus *Group*
>> buffer and ‘revert-buffer’ in vc-dir-mode.  In the package list,
>> ‘package-menu-refresh’ is run by the ‘r’ key instead.
>> 
>> Since ‘g’ is unbound in ‘package-menu-mode’, could a binding be added to
>> run ‘package-menu-refresh’ for that key?
> 
> It is not unbound; it is bound to the standard command revert-buffer,
> which in this case calls tabulated-list-revert, which in turn runs
> tabulated-list-revert-hook, which in turn calls package-menu--refresh.

Thanks for having a look!  I could swear I checked whether `g' was bound or not, but apparently I didn't.  Anyway, allow me to rephrase my bug report from a more end-user-y perspective.

Pressing `g' in a gnus group buffer connects to the network, fetches new data from various servers, and updates the buffer accordingly.  The key `r' achieves the same effect in a package list buffer: I can see Emacs contacting the servers set up in `package-archives', get a message how many packages can be updated, etc.  The `g' key, on the other hand, does not do that in a package list buffer.

I find my fingers still wanting to press `g' to achieve the effect of `r' after some months of retraining, hence the bug report.

FWIW, I completely agree with the "Wishlist" severity you set for the bug.

Thanks again,

Rudi